# module TkClipboard

### Constants

TkCommandNames

### Public Class Methods

append(data, keys=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 48
    def self.append(data, keys=nil)
      args = ['clipboard', 'append']
      args.concat(hash_kv(keys))
      args.concat(['--', data])
      tk_call(*args)
    end

append_on_display(win, data, keys=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 54
    def self.append_on_display(win, data, keys=nil)
      args = ['clipboard', 'append', '-displayof', win]
      args.concat(hash_kv(keys))
      args.concat(['--', data])
      tk_call(*args)
    end

clear(win=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 13
    def self.clear(win=nil)
      if win
        tk_call_without_enc('clipboard', 'clear', '-displayof', win)
      else
        tk_call_without_enc('clipboard', 'clear')
      end
    end

clear_on_display(win) click to toggle source

    # File lib/tk/clipboard.rb, line 20
    def self.clear_on_display(win)
      tk_call_without_enc('clipboard', 'clear', '-displayof', win)
    end

get(type=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 24
    def self.get(type=nil)
      if type
        tk_call_without_enc('clipboard', 'get', '-type', type)
      else
        tk_call_without_enc('clipboard', 'get')
      end
    end

get_on_display(win, type=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 31
    def self.get_on_display(win, type=nil)
      if type
        tk_call_without_enc('clipboard', 'get', '-displayof', win, '-type', type)
      else
        tk_call_without_enc('clipboard', 'get', '-displayof', win)
      end
    end

set(data, keys=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 39
    def self.set(data, keys=nil)
      clear
      append(data, keys)
    end

set_on_display(win, data, keys=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 43
    def self.set_on_display(win, data, keys=nil)
      clear(win)
      append_on_display(win, data, keys)
    end

### Public Instance Methods

append(data, keys=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 72
    def append(data, keys=nil)
      TkClipboard.append_on_display(self, data, keys)
      self
    end

clear() click to toggle source

    # File lib/tk/clipboard.rb, line 61
    def clear
      TkClipboard.clear_on_display(self)
      self
    end

get(type=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 65
    def get(type=nil)
      TkClipboard.get_on_display(self, type)
    end

set(data, keys=nil) click to toggle source

    # File lib/tk/clipboard.rb, line 68
    def set(data, keys=nil)
      TkClipboard.set_on_display(self, data, keys)
      self
    end